Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 73701 - neat should add optional string wep key
Summary: neat should add optional string wep key
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 9
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-09-09 00:45 UTC by Warren Togami
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-11 14:08:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:183 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-08-11 04:00:00 UTC

Description Warren Togami 2002-09-09 00:45:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
The "Wireless Settings" tab of neat allows you to enter the WEP key in hex. 
Many wireless users may be unfamiliar with the hex key because they have only
seen the string key.

Please consider adding to a future release of neat an optional field for string
WEP key.  This should be fairly easy to add to neat because iwconfig itself
handles the conversion from string to hex.

e.g.
iwconfig eth1 key <HEX WEP KEY>
iwconfig eth1 key s:<STRING WEP KEY>

Comment 1 Warren Togami 2002-12-24 05:22:19 UTC
Phoebe's redhat-config-network does not yet have a field for optional string
key.    The field is labelled "Key:" which is ambiguous, because the user wont
know whether it wants the string or hex key.  Due to this ambiguity I no longer
consider this a RFE.

Comment 2 Warren Togami 2003-01-31 10:39:02 UTC
Are you working on this?  If not and this fix can go in within 3 weeks, I can
begin work on an implementation.  Just let me know if that window of time is
okay for this release.

(I don't know Python or gtk yet, but I should learn it...)


Comment 3 Harald Hoyer 2003-01-31 10:46:36 UTC
will work on it... patience

Comment 4 Harald Hoyer 2003-02-05 12:55:52 UTC
ok, implemented in CVS... will be in 1.1.95

Comment 5 Harald Hoyer 2003-08-11 14:08:08 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html



Note You need to log in before you can comment on or make changes to this bug.